Eclipse 3.4无法启动

昨天,我试着通过点击eclipse.exe(在eclipse文件夹中)来启动eclipse 3.4,并正常运行。 然后昨天晚上,我做了Windows更新。 今天,当我尝试运行Eclipse 3.4时,它有错误。 您可以在这里find错误消息SCREENSHOT

我用windows xp sp2和java 1.5 update 14。

我不知道该如何解决,所以我卸载了我的jdk1.5.14,然后安装了jdk1.5.21。 问题依然存在。 如果我用bat文件(eclipse.bat)和文件内容如下:

eclipse -vmargs -Xmx256M

它会正常运行。 但是当我更改为-Xmx512M或(> = 512M)时,它将显示如截图一样的错误。

当我从Eclipse 3.5开始时,也出现了同样的问题。 但是当我从eclipse 3.3开始的时候,eclipse 3.3是正常启动的(我认为eclipse 3.3使用的内存低于3.4以上,只有<= 512M,已经testing过了,但是忘记了eclipse 3.3消耗的内存了)。

我只是猜测问题是从我的窗户。 我真的很感激,如果有人可以帮助这个问题。

Solutions Collecting From Web of "Eclipse 3.4无法启动"

你可以试试这个eclipse.ini
它确实有一个低于512的Xmx,并且仍然能够非常快速地运行eclipse(尽管如此,即使您正在为您的程序使用JDK5,我也会推荐使用最新的JDK)

检查你的eclipse.ini每一行:他们不能有任何额外的空间。